Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 597376

Summary: dev-util/valgrind-3.11.0 with sys-devel/gcc-6.2.0-r1 fails tests - std_thread.cpp:30:3: error: '_Impl_base' is not a member of 'std::thread'
Product: Gentoo Linux Reporter: eroen <gentoo>
Component: Current packagesAssignee: Anthony Basile <blueness>
Status: RESOLVED FIXED    
Severity: normal CC: matthew, toolchain
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 582084    
Attachments: build.log

Description eroen 2016-10-17 16:25:06 UTC
Created attachment 450578 [details]
build.log

x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../..  -I../.. -I../../include -I../../coregrind -I../../include -I../../VEX/pub -I../../VEX/pub -DVGA_amd64=1 -DVGO_linux=1 -DVGP_amd64_linux=1 -DVGPV_amd64_linux_vanilla=1 -DVGA_SEC_x86=1 -DVGP_SEC_amd64_linux=1  -Winline -Wall -Wshadow -Wno-long-long -g -fno-stack-protector  -m64 -Wextra -Wno-inline -Wno-unused-parameter -std=c++0x -O2 -pipe -c -o std_thread-std_thread.o `test -f 'std_thread.cpp' || echo './'`std_thread.cpp
std_thread.cpp: In function 'void* execute_native_thread_routine(void*)':
std_thread.cpp:30:3: error: '_Impl_base' is not a member of 'std::thread'
   std::thread::_Impl_base* __t = static_cast<std::thread::_Impl_base*>(__p);
   ^~~
std_thread.cpp:30:28: error: '__t' was not declared in this scope
   std::thread::_Impl_base* __t = static_cast<std::thread::_Impl_base*>(__p);
                            ^~~
std_thread.cpp:30:59: error: '_Impl_base' in 'class std::thread' does not name a type
   std::thread::_Impl_base* __t = static_cast<std::thread::_Impl_base*>(__p);
                                                           ^~~~~~~~~~
std_thread.cpp:30:69: error: expected '>' before '*' token
   std::thread::_Impl_base* __t = static_cast<std::thread::_Impl_base*>(__p);
                                                                     ^
std_thread.cpp:30:69: error: expected '(' before '*' token
std_thread.cpp:30:70: error: expected primary-expression before '>' token
   std::thread::_Impl_base* __t = static_cast<std::thread::_Impl_base*>(__p);
                                                                      ^
std_thread.cpp:30:76: error: expected ')' before ';' token
   std::thread::_Impl_base* __t = static_cast<std::thread::_Impl_base*>(__p);
                                                                            ^
std_thread.cpp:31:3: error: '__shared_base_type' is not a member of 'std::thread'
   std::thread::__shared_base_type __local;
   ^~~
std_thread.cpp:32:3: error: '__local' was not declared in this scope
   __local.swap(__t->_M_this_ptr);
   ^~~~~~~
std_thread.cpp: At global scope:
std_thread.cpp:49:32: error: variable or field '_M_start_thread' declared void
   void thread::_M_start_thread(__shared_base_type __b)
                                ^~~~~~~~~~~~~~~~~~
std_thread.cpp:49:32: error: '__shared_base_type' was not declared in this scope
std_thread.cpp:67:1: error: expected '}' at end of input
 }
 ^
Makefile:2073: recipe for target 'std_thread-std_thread.o' failed
make[4]: *** [std_thread-std_thread.o] Error 1
make[4]: Leaving directory '/var/tmp/portage/dev-util/valgrind-3.11.0/work/valgrind-3.11.0/drd/tests'
Makefile:2193: recipe for target 'check-am' failed
make[3]: *** [check-am] Error 2
make[3]: Leaving directory '/var/tmp/portage/dev-util/valgrind-3.11.0/work/valgrind-3.11.0/drd/tests'
Makefile:1727: recipe for target 'check-recursive' failed
make[2]: *** [check-recursive] Error 1
make[2]: Leaving directory '/var/tmp/portage/dev-util/valgrind-3.11.0/work/valgrind-3.11.0/drd'
Makefile:826: recipe for target 'check-recursive' failed
make[1]: *** [check-recursive] Error 1
make[1]: Leaving directory '/var/tmp/portage/dev-util/valgrind-3.11.0/work/valgrind-3.11.0'
Makefile:1114: recipe for target 'check' failed
make: *** [check] Error 2
 * ERROR: dev-util/valgrind-3.11.0::gentoo failed (test phase):
 *   Make check failed. See above for details.
 * 
 * Call stack:
 *            ebuild.sh, line  115:  Called src_test
 *          environment, line 3130:  Called default
 *   phase-functions.sh, line  805:  Called default_src_test
 *   phase-functions.sh, line  834:  Called __eapi0_src_test
 *     phase-helpers.sh, line  760:  Called die
 * The specific snippet of code:
 *   		$emake_cmd ${internal_opts} check || \
 *   			die "Make check failed. See above for details."
Comment 1 eroen 2016-10-17 16:25:40 UTC
localhost ~ # emerge --info '=dev-util/valgrind-3.11.0::gentoo'
Portage 2.3.0 (python 3.4.3-final-0, default/linux/amd64/13.0, gcc-6.2.0, glibc-2.22-r4, 4.4.6-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.4.6-gentoo-x86_64-Intel-R-_Core-TM-_i5-2520M_CPU_@_2.50GHz-with-gentoo-2.2
KiB Mem:     4043380 total,   2770432 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Mon, 17 Oct 2016 00:45:01 +0000
sh bash 4.3_p48
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.3_p48::gentoo
dev-lang/perl:            5.22.2::gentoo
dev-lang/python:          2.7.10-r1::gentoo, 3.4.3-r1::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.21.7::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.69::gentoo
sys-devel/automake:       1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo, 6.2.0-r1::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.3::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r4::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS=""
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl amd64 berkdb bindist bzip2 cli cracklib crypt cxx dri fortran gdbm iconv ipv6 mmx mmxext modules multilib ncurses nls nptl openmp pam pcre readline seccomp session sse sse2 ssl tcpd unicode xattr zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

localhost ~ # emerge -pqv '=dev-util/valgrind-3.11.0::gentoo'
[ebuild  N    ] dev-util/valgrind-3.11.0  USE="-mpi" 

 * IMPORTANT: 12 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.
Comment 2 Matthew Dawson 2016-12-05 21:13:32 UTC
This appears to be fixed in version 3.12.0 of valgrind.
Comment 3 Anthony Basile gentoo-dev 2017-05-03 23:55:35 UTC
thanks